<form #f="ngForm" autocomplete="off" class="form-horizontal" (ngSubmit)="cancelOrder()">
    <div class="form-group">
      <table aria-describedby="Manage Company" class="table table-bordered">
          <thead class="thead-light">
            <tr>
              <th scope="col">Order ID</th>
              <th scope="col">Status</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let order of status">
              <td>{{order.unique_order_id}}</td>
              <td>{{order.cancel_message?order.cancel_message:'Queued'}} </td>
            </tr>
          </tbody>
        </table>
    </div>
    <div class="form-group">
      <label class="col-sm-12 control-label">{{data.reason_head}}<i aria-hidden="true" class="mandatory">*</i></label>
      <div class="col-sm-12 form-input">
        <mat-select class="form-control" placeholder="Favorite" [(ngModel)]="cancelReasonlModel.cancelreason" name="cancelreason"
          #cancelreason="ngModel" required>
          <mat-option value="">select reason</mat-option>
          <mat-option [value]="reasons" *ngFor="let reasons of reasonsItems">
            {{reasons.reason}}
          </mat-option>
        </mat-select>
        <div class="error-msg" *ngIf="cancelreason.errors && (cancelreason.dirty || cancelreason.touched || f.submitted)">
          <div [hidden]="!cancelreason.errors.required">{{data.reason_head}} Required.</div>
        </div>
      </div>
    </div>
  
    
    <div class="form-group">
      <label class="col-sm-12 control-label">Type your reason</label>
      <div class="col-sm-12 form-input">
        <textarea type="text" rows="2" class="form-control" maxlength="70" placeholder="Type your reason here.." name="cancel Text"
          #cancelText="ngModel" [(ngModel)]="cancelReasonlModel.cancelText"></textarea>
      </div>
    </div>
  
   
  
    <div class="form-group">
      <div class="col-sm-4 col-sm-offset-1">
        <button [disabled]='cancelFlag || cancelReasonlModel.cancelreason=="" ' class="btn btn-sm btn-primary blue" type="submit">Cancel All</button>
      </div>
      <div class="col-sm-4 col-sm-offset-1">
          <button [disabled]='cancelFlag' class="btn btn-sm btn-primary red" type="button" [mat-dialog-close]>Close</button>
      </div>
    </div>
  </form>